environment-modules-3.2.10-alt3_23.i586.rpm


Advertisement

Description

environment-modules - Provides dynamic modification of a user's environment

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename environment-modules-3.2.10-alt3_23.i586.rpm
Package name environment-modules
Package version 3.2.10
Package release alt3_23
Package architecture i586
Package type rpm
Category System/Base
Homepage -
License -
Maintainer -
Download size 237.86 KB
Installed size 237.86 KB
The Environment Modules package provides for the dynamic modification of
a user's environment via modulefiles.
Each modulefile contains the information needed to configure the shell
for an application. Once the Modules package is initialized, the
environment can be modified on a per-module basis using the module
command which interprets modulefiles. Typically modulefiles instruct
the module command to alter or set shell environment variables such as
PATH, MANPATH, etc. modulefiles may be shared by many users on a system
and users may have their own collection to supplement or replace the
shared modulefiles.
Modules can be loaded and unloaded dynamically and atomically, in an
clean fashion. All popular shells are supported, including bash, ksh,
zsh, sh, csh, tcsh, as well as some scripting languages such as perl.
Modules are useful in managing different versions of applications.
Modules can also be bundled into metamodules that will load an entire
suite of different applications.
NOTE: You will need to get a new shell after installing this package to
have access to the module alias.

Alternatives

Package Version Architecture Repository
environment-modules-3.2.10-alt3_23.x86_64.rpm 3.2.10 x86_64 Classic
environment-modules - - -

Requires

Name Value
/bin/bash -
/bin/cat -
/bin/cp -
/bin/echo -
/bin/rm -
/etc/alternatives/packages.d -
/lib/ld-linux.so.2 -
/usr/bin/python3 -
coreutils -
grep -
libX11.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libpthread.so.0(GLIBC_2.0) -
libtcl8.6.so -
procps -
python-base -
rpm-macros-environment-modules = 3.2.10-alt3_23:sisyphus+234966.100.1.1
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -
sed -
sysvinit-utils -

Provides

Name Value
environment(modules) -
environment-modules = 3.2.10-alt3_23:sisyphus+234966.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package environment-modules-3.2.10-alt3_23.i586.rpm
Source Package environment-modules-3.2.10-alt3_23.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install environment-modules rpm package:
    # sudo apt-get install environment-modules

Files

Path
/etc/modulefiles
/etc/alternatives/packages.d/modules.sh_environment-modules
/usr/bin/modulecmd
/usr/share/modulefiles
/usr/share/Modules/
/usr/share/Modules/bin/add.modules
/usr/share/Modules/bin/createmodule.py
/usr/share/Modules/bin/createmodule.sh
/usr/share/Modules/bin/mkroot
/usr/share/Modules/init/.modulespath
/usr/share/Modules/init/bash
/usr/share/Modules/init/bash_completion
/usr/share/Modules/init/cmake
/usr/share/Modules/init/csh
/usr/share/Modules/init/ksh
/usr/share/Modules/init/modules.sh
/usr/share/Modules/init/perl.pm
/usr/share/Modules/init/python.py
/usr/share/Modules/init/ruby.rb
/usr/share/Modules/init/sh
/usr/share/Modules/init/tcsh
/usr/share/Modules/init/zsh
/usr/share/Modules/modulefiles/dot
/usr/share/Modules/modulefiles/module-git
/usr/share/Modules/modulefiles/module-info
/usr/share/Modules/modulefiles/modules
/usr/share/Modules/modulefiles/null
/usr/share/Modules/modulefiles/use.own
/usr/share/doc/environment-modules-3.2.10/LICENSE.GPL
/usr/share/doc/environment-modules-3.2.10/README
/usr/share/doc/environment-modules-3.2.10/TODO
/usr/share/man/man1/module-c.1.xz
/usr/share/man/man4/modulefile-c.4.xz

Changelog

2019-07-21 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt3_23
- fixed build
2018-10-28 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt2_23
- fixed build
2018-07-12 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt1_23.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
* altlinux-policy-rpm-macros-packaging for environment-modules
2017-09-27 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt1_23
- update to new release by fcimport
2017-08-03 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt1_21
- update to new release by fcimport
2017-03-24 - Vladimir D. Seleznev <vseleznv@altlinux.org> 3.2.10-alt1_20.qa1
- NMU: rebuilt against Tcl/Tk 8.6
2017-03-16 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt1_20
- update to new release by fcimport
2016-07-26 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt1_17
- update to new release by fcimport
2015-09-20 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt1_16
- update to new release by fcimport
2015-04-07 - Igor Vlasenko <viy@altlinux.ru> 3.2.10-alt1_14
- update to new release by fcimport

See Also

Package Description
eog-3.34.1-alt1.i586.rpm Eye Of Gnome
eog-devel-3.34.1-alt1.i586.rpm Development files for EOG viewer
eog-gir-3.34.1-alt1.i586.rpm GObject introspection data for the EOG
eog-plugins-3.26.4-alt1.i586.rpm EOG plugins
eog-plugins-postasa-3.26.4-alt1.i586.rpm Picasa uploader for EOG
eog-plugins-postr-3.26.4-alt1.i586.rpm Flickr uploader for EOG
epdfview-0.1.8-alt7.i586.rpm A lightweight PDF viewer for GNOME
eperiodique-0.5-alt1.i586.rpm A Periodic Table of Elements for Enlightenment
ephoto-1.5-alt1.i586.rpm The Enlightenment Photo Viewer
epiphany-3.34.1-alt1.i586.rpm Epiphany is a GNOME web browser
epsidm24-secc0001-1.0.0-alt1.i586.rpm Driver for EPSON 24Pin SIDM Printers
epson-inkjet-printer-escpr-1.7.3-alt1.i586.rpm Epson Inkjet Printer Driver (ESC/P-R) for Linux
epson-inkjet-printer-escpr2-1.1.1-alt1.i586.rpm Epson Inkjet Printer Driver 2 (ESC/P-R) for Linux
epsoneplijs-0.4.1-alt1.i586.rpm Ghostscript IJS Plugin for the Epson EPL-5700L/5800L/5900L/6100L/6200L printers
epstool-3.08-alt5.qa1.i586.rpm Working with EPS bounding boxes and preview images
Advertisement
Advertisement